Bug 316711 - CERT_SetOCSPDefaultResponder() sometimes doesn't set error code
CERT_SetOCSPDefaultResponder() sometimes doesn't set error code
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nss (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Kai Engert (:kaie) (on vacation)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-03 08:04 EDT by Miloslav Trmač
Modified: 2008-06-16 22:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:34:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 399263 None None None Never

  None (edit)
Description Miloslav Trmač 2007-10-03 08:04:07 EDT
Version-Release number of selected component (if applicable):
nss-3.11.7-0.7.2.fc7

I have created a NSS database containing the following certificates:
stunnel                                                      CTu,u,u
kolej                                                        c,,  
verisign:PCA3ss_v4                                           C,,  

There seems to be something wrong with "verisign:PCA3ss_v4" certificate or its name:
$ certutil -d . -D -n verisign:PCA3ss_v4
certutil: could not find certificate named "verisign:PCA3ss_v4": Unrecognized
Object Identifier.

.. but that's not what this bug is about.

When attempting to use the certificate by calling
CERT_SetOCSPDefaultResponder (CERT_GetDefaultCertDb(),
    "http://ocsp.thawte.com/", 
    "verisign:PCA3ss_v4")
the function returns SECFailure, but it doesn't set any error code.  This is
very confusing when the old error code and text refers to an ignored failure
inside NSS (when attempting to load libnssckbi.so in NSS_Init()).
Comment 1 Kai Engert (:kaie) (on vacation) 2007-10-09 21:49:10 EDT
Regarding your problem with nickname verisign:PCA3ss_v4, that could be due to
NSS treating ":" as a separator between "token/smartcard name" and "cert name".

Regarding the inappropriate error code, I filed an upstream bug,
bugzilla.mozilla.org 399263.
Comment 2 Bug Zapper 2008-05-14 10:36:45 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 22:34:21 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.